hpp-fcl: hpp::fcl::HFNodeBase Struct Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Public Attributes | List of all members
hpp::fcl::HFNodeBase Struct Reference
Construction_Of_HeightField

`#include <hpp/fcl/hfield.h>`

Inheritance diagram for hpp::fcl::HFNodeBase:

## Public Member Functions
| HFNodeBase ()
| Default constructor. More...
bool | operator== (const HFNodeBase &other) const
| Comparison operator. More...
bool | operator!= (const HFNodeBase &other) const
| Difference operator. More...
bool | isLeaf () const
| Whether current node is a leaf node (i.e. contains a primitive index) More...
size_t | leftChild () const
| Return the index of the first child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel. More...
size_t | rightChild () const
| Return the index of the second child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel. More...
Eigen::Vector2i | leftChildIndexes () const
Eigen::Vector2i | rightChildIndexes () const

## Public Attributes
size_t | first_child
| An index for first child node or primitive If the value is positive, it is the index of the first child bv node If the value is negative, it is -(primitive index + 1) Zero is not used. More...
Eigen::DenseIndex | x_id
Eigen::DenseIndex | x_size
Eigen::DenseIndex | y_id
Eigen::DenseIndex | y_size

## Constructor & Destructor Documentation

## ◆ HFNodeBase()

hpp::fcl::HFNodeBase::HFNodeBase | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ isLeaf()

bool hpp::fcl::HFNodeBase::isLeaf | ( |  | ) | const
| inline

Whether current node is a leaf node (i.e. contains a primitive index)

## ◆ leftChild()

size_t hpp::fcl::HFNodeBase::leftChild | ( |  | ) | const
| inline

Return the index of the first child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel.

## ◆ leftChildIndexes()

Eigen::Vector2i hpp::fcl::HFNodeBase::leftChildIndexes | ( |  | ) | const
| inline

## ◆ operator!=()

bool hpp::fcl::HFNodeBase::operator!= | ( | const HFNodeBase & | other | ) | const
| inline

Difference operator.

## ◆ operator==()

bool hpp::fcl::HFNodeBase::operator== | ( | const HFNodeBase & | other | ) | const
| inline

Comparison operator.

## ◆ rightChild()

size_t hpp::fcl::HFNodeBase::rightChild | ( |  | ) | const
| inline

Return the index of the second child. The index is referred to the bounding volume array (i.e. bvs) in BVHModel.

## ◆ rightChildIndexes()

Eigen::Vector2i hpp::fcl::HFNodeBase::rightChildIndexes | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ first_child

size_t hpp::fcl::HFNodeBase::first_child

An index for first child node or primitive If the value is positive, it is the index of the first child bv node If the value is negative, it is -(primitive index + 1) Zero is not used.

## ◆ x_id

Eigen::DenseIndex hpp::fcl::HFNodeBase::x_id

## ◆ x_size

Eigen::DenseIndex hpp::fcl::HFNodeBase::x_size

## ◆ y_id

Eigen::DenseIndex hpp::fcl::HFNodeBase::y_id

## ◆ y_size

Eigen::DenseIndex hpp::fcl::HFNodeBase::y_size

The documentation for this struct was generated from the following file:

- include/hpp/fcl/hfield.h